package idc.model;

import java.sql.*;

//개개의 서비스별 정보 제공
public class IdcSingleServiceDTO {
	
	private String service_code;
	private String service_line;
	private String service_ip;
	private String service_os;
	private String service_sw;
	private String service_defence;
	
	private String server_code;
	private String server_process;
	private String server_spec;
	private String server_cpuname;
		
	private String server_ram;
	private String server_ram1;
	private String server_ram2;
	private String server_ram3;
	private String server_ram4;
	private String server_ram5;
	
	private String server_hdd;
	private String server_hdd1;
	private String server_hdd2;
	private String server_hdd3;
	private String server_hdd4;
	private String server_hdd5;
	
	private String server_location;
	private int service_amount;
	private Date service_payment_date;
	private Date service_open_date;
	private Date service_request_date;
	private int service_nonpayment;
	private String service_note;
	
	private int service_payment_amount;
	private String service_status;
	private String service_cost;
	private String service_deduction;
	
	//과금 관련 정보:amountDB
	private int amount_num;
	private String amount_rack;
	private String amount_line;
	private String amount_cpu;
	private String amount_ip;
	private String amount_defence;
	private String amount_reseller;
	private String amount_long;
	private String solo_amount_long;
	private String amount_pre;
	private String amount_authority;
	private String amount_contact;
	private String amount_total_discount;	
	private String amount_cost;
	private String ip_count;
	private String last_long;
	private String last_pre;
	private String amount_check;
	private Date amount_request_date;
	private String amount_note;
	private String amount_service_amount;
	private String temp;
	private int cs_count;
	private int kcs_count;
	private int ip_total;
	private int cs_total;
	private int kcs_total;
	private String service_unitedAmount;
	
	private String service_united;
	private String service_nonAmount;
	private String amount_defence_discount;
	
	private String amount_sub_discount;
	private String amount_one;
	private String amount_etc;	
	
	public String getAmount_etc()
	{
		return amount_etc;
	}

	public void setAmount_etc(String amount_etc)
	{
		this.amount_etc = amount_etc;
	}

	public String getAmount_one()
	{
		return amount_one;
	}

	public void setAmount_one(String amount_one)
	{
		this.amount_one = amount_one;
	}

	public String getAmount_sub_discount()
	{
		return amount_sub_discount;
	}

	public void setAmount_sub_discount(String amount_sub_discount)
	{
		this.amount_sub_discount = amount_sub_discount;
	}

	public String getAmount_defence_discount()
	{
		return amount_defence_discount;
	}

	public void setAmount_defence_discount(String amount_defence_discount)
	{
		this.amount_defence_discount = amount_defence_discount;
	}

	public String getService_united()
	{
		return service_united;
	}

	public void setService_united(String service_united)
	{
		this.service_united = service_united;
	}

	public String getService_nonAmount()
	{
		return service_nonAmount;
	}

	public void setService_nonAmount(String service_nonAmount)
	{
		this.service_nonAmount = service_nonAmount;
	}

	public String getService_unitedAmount()
	{
		return service_unitedAmount;
	}

	public void setService_unitedAmount(String service_unitedAmount)
	{
		this.service_unitedAmount = service_unitedAmount;
	}

	public IdcSingleServiceDTO() {}

	public String getService_code() {
		return service_code;
	}

	public void setService_code(String service_code) {
		this.service_code = service_code;
	}

	public String getService_line() {
		return service_line;
	}

	public void setService_line(String service_line) {
		this.service_line = service_line;
	}

	public String getService_ip() {
		return service_ip;
	}

	public void setService_ip(String service_ip) {
		this.service_ip = service_ip;
	}

	public String getServer_code() {
		return server_code;
	}

	public void setServer_code(String server_code) {
		this.server_code = server_code;
	}

	public String getServer_ram() {
		return server_ram;
	}

	public void setServer_ram(String server_ram) {
		this.server_ram = server_ram;
	}

	public String getServer_hdd() {
		return server_hdd;
	}

	public void setServer_hdd(String server_hdd) {
		this.server_hdd = server_hdd;
	}

	public String getServer_location() {
		return server_location;
	}

	public void setServer_location(String server_location) {
		this.server_location = server_location;
	}

	public int getService_amount() {
		return service_amount;
	}

	public void setService_amount(int service_amount) {
		this.service_amount = service_amount;
	}

	public Date getService_payment_date() {
		return service_payment_date;
	}

	public void setService_payment_date(Date service_payment_date) {
		this.service_payment_date = service_payment_date;
	}

	public int getService_nonpayment() {
		return service_nonpayment;
	}

	public void setService_nonpayment(int service_nonpayment) {
		this.service_nonpayment = service_nonpayment;
	}

	public String getService_note() {
		return service_note;
	}

	public void setService_note(String service_note) {
		this.service_note = service_note;
	}

	public String getService_os() {
		return service_os;
	}

	public void setService_os(String service_os) {
		this.service_os = service_os;
	}

	public String getService_sw() {
		return service_sw;
	}

	public void setService_sw(String service_sw) {
		this.service_sw = service_sw;
	}

	public int getService_payment_amount() {
		return service_payment_amount;
	}

	public void setService_payment_amount(int service_payment_amount) {
		this.service_payment_amount = service_payment_amount;
	}

	public String getService_status() {
		return service_status;
	}

	public void setService_status(String service_status) {
		this.service_status = service_status;
	}

	public int getAmount_num() {
		return amount_num;
	}

	public void setAmount_num(int amount_num) {
		this.amount_num = amount_num;
	}

	public String getAmount_rack() {
		return amount_rack;
	}

	public void setAmount_rack(String amount_rack) {
		this.amount_rack = amount_rack;
	}

	public String getAmount_line() {
		return amount_line;
	}

	public void setAmount_line(String amount_line) {
		this.amount_line = amount_line;
	}

	public String getAmount_cpu() {
		return amount_cpu;
	}

	public void setAmount_cpu(String amount_cpu) {
		this.amount_cpu = amount_cpu;
	}

	public String getAmount_ip() {
		return amount_ip;
	}

	public void setAmount_ip(String amount_ip) {
		this.amount_ip = amount_ip;
	}
	
	public String getAmount_reseller() {
		return amount_reseller;
	}

	public void setAmount_reseller(String amount_reseller) {
		this.amount_reseller = amount_reseller;
	}

	public String getAmount_long() {
		return amount_long;
	}

	public void setAmount_long(String amount_long) {
		this.amount_long = amount_long;
	}

	public String getSolo_amount_long() {
		return solo_amount_long;
	}

	public void setSolo_amount_long(String solo_amount_long) {
		this.solo_amount_long = solo_amount_long;
	}

	public String getAmount_pre() {
		return amount_pre;
	}

	public void setAmount_pre(String amount_pre) {
		this.amount_pre = amount_pre;
	}

	public String getAmount_authority() {
		return amount_authority;
	}

	public void setAmount_authority(String amount_authority) {
		this.amount_authority = amount_authority;
	}

	public String getAmount_cost() {
		return amount_cost;
	}

	public void setAmount_cost(String amount_cost) {
		this.amount_cost = amount_cost;
	}

	public String getIp_count() {
		return ip_count;
	}

	public void setIp_count(String ip_count) {
		this.ip_count = ip_count;
	}

	public String getLast_long() {
		return last_long;
	}

	public void setLast_long(String last_long) {
		this.last_long = last_long;
	}

	public String getLast_pre() {
		return last_pre;
	}

	public void setLast_pre(String last_pre) {
		this.last_pre = last_pre;
	}

	public String getAmount_check() {
		return amount_check;
	}

	public void setAmount_check(String amount_check) {
		this.amount_check = amount_check;
	}

	public Date getAmount_request_date() {
		return amount_request_date;
	}

	public void setAmount_request_date(Date amount_request_date) {
		this.amount_request_date = amount_request_date;
	}

	public String getAmount_contact() {
		return amount_contact;
	}

	public void setAmount_contact(String amount_contact) {
		this.amount_contact = amount_contact;
	}

	public String getAmount_total_discount() {
		return amount_total_discount;
	}

	public void setAmount_total_discount(String amount_total_discount) {
		this.amount_total_discount = amount_total_discount;
	}

	public String getAmount_note() {
		return amount_note;
	}

	public void setAmount_note(String amount_note) {
		this.amount_note = amount_note;
	}

	public String getAmount_service_amount() {
		return amount_service_amount;
	}

	public void setAmount_service_amount(String amount_service_amount) {
		this.amount_service_amount = amount_service_amount;
	}

	public String getServer_process() {
		return server_process;
	}

	public void setServer_process(String server_process) {
		this.server_process = server_process;
	}

	public String getServer_spec() {
		return server_spec;
	}

	public void setServer_spec(String server_spec) {
		this.server_spec = server_spec;
	}

	public String getServer_cpuname() {
		return server_cpuname;
	}

	public void setServer_cpuname(String server_cpuname) {
		this.server_cpuname = server_cpuname;
	}

	public String getAmount_defence()
	{
		return amount_defence;
	}

	public void setAmount_defence(String amount_defence)
	{
		this.amount_defence = amount_defence;
	}

	public String getTemp()
	{
		return temp;
	}

	public void setTemp(String temp)
	{
		this.temp = temp;
	}

	public int getCs_count()
	{
		return cs_count;
	}

	public void setCs_count(int cs_count)
	{
		this.cs_count = cs_count;
	}

	public int getKcs_count()
	{
		return kcs_count;
	}

	public void setKcs_count(int kcs_count)
	{
		this.kcs_count = kcs_count;
	}

	public Date getService_open_date()
	{
		return service_open_date;
	}

	public void setService_open_date(Date service_open_date)
	{
		this.service_open_date = service_open_date;
	}

	public Date getService_request_date()
	{
		return service_request_date;
	}

	public void setService_request_date(Date service_request_date)
	{
		this.service_request_date = service_request_date;
	}

	public String getService_defence()
	{
		return service_defence;
	}

	public void setService_defence(String service_defence)
	{
		this.service_defence = service_defence;
	}

	public String getService_cost()
	{
		return service_cost;
	}

	public void setService_cost(String service_cost)
	{
		this.service_cost = service_cost;
	}

	public int getIp_total()
	{
		return ip_total;
	}

	public void setIp_total(int ip_total)
	{
		this.ip_total = ip_total;
	}

	public int getCs_total()
	{
		return cs_total;
	}

	public void setCs_total(int cs_total)
	{
		this.cs_total = cs_total;
	}

	public int getKcs_total()
	{
		return kcs_total;
	}

	public void setKcs_total(int kcs_total)
	{
		this.kcs_total = kcs_total;
	}

	public String getService_deduction()
	{
		return service_deduction;
	}

	public void setService_deduction(String service_deduction)
	{
		this.service_deduction = service_deduction;
	}

	public String getServer_ram1()
	{
		return server_ram1;
	}

	public void setServer_ram1(String server_ram1)
	{
		this.server_ram1 = server_ram1;
	}

	public String getServer_ram2()
	{
		return server_ram2;
	}

	public void setServer_ram2(String server_ram2)
	{
		this.server_ram2 = server_ram2;
	}

	public String getServer_ram3()
	{
		return server_ram3;
	}

	public void setServer_ram3(String server_ram3)
	{
		this.server_ram3 = server_ram3;
	}

	public String getServer_ram4()
	{
		return server_ram4;
	}

	public void setServer_ram4(String server_ram4)
	{
		this.server_ram4 = server_ram4;
	}

	public String getServer_hdd1()
	{
		return server_hdd1;
	}

	public void setServer_hdd1(String server_hdd1)
	{
		this.server_hdd1 = server_hdd1;
	}

	public String getServer_hdd2()
	{
		return server_hdd2;
	}

	public void setServer_hdd2(String server_hdd2)
	{
		this.server_hdd2 = server_hdd2;
	}

	public String getServer_hdd3()
	{
		return server_hdd3;
	}

	public void setServer_hdd3(String server_hdd3)
	{
		this.server_hdd3 = server_hdd3;
	}

	public String getServer_hdd4()
	{
		return server_hdd4;
	}

	public void setServer_hdd4(String server_hdd4)
	{
		this.server_hdd4 = server_hdd4;
	}

	public String getServer_ram5()
	{
		return server_ram5;
	}

	public void setServer_ram5(String server_ram5)
	{
		this.server_ram5 = server_ram5;
	}

	public String getServer_hdd5()
	{
		return server_hdd5;
	}

	public void setServer_hdd5(String server_hdd5)
	{
		this.server_hdd5 = server_hdd5;
	}	
	
	
}
